package org.ow2.orchestra.env.binding;

import org.jbpm.pvm.internal.util.TagBinding;
import org.jbpm.pvm.internal.wire.xml.WireParser;
import org.jbpm.pvm.internal.xml.Parse;
import org.jbpm.pvm.internal.xml.Parser;
import org.ow2.orchestra.env.descriptor.HibernateBpelPersistenceServiceDescriptor;
import org.w3c.dom.Element;

public class HibernateBpelPersistenceServiceBinding extends TagBinding {

  
  public HibernateBpelPersistenceServiceBinding() {
    super("hibernate-bpel-persistence-service", null, WireParser.CATEGORY_DESCRIPTOR);
  }
  
  public Object parse(Element element, Parse parse, Parser parser) {
    HibernateBpelPersistenceServiceDescriptor descriptor = new HibernateBpelPersistenceServiceDescriptor();

    if (element.hasAttribute("session")) {
      descriptor.setSessionName(element.getAttribute("session"));
    }

    return descriptor;
  }

}
